Permalink
Browse files

Ruby 1.9.3-p0 support. Use SystemTimer gem as development dependency …

…for Ruby 1.8.7.
  • Loading branch information...
1 parent 51f08c3 commit 8aa2c5d6088adf9ace207422d7ce4699c9b7d809 David Czarnecki committed Nov 21, 2011
Showing with 5 additions and 1 deletion.
  1. +1 −0 .rvmrc
  2. +1 −1 Rakefile
  3. +3 −0 leaderboard.gemspec
View
1 .rvmrc
@@ -1,2 +1,3 @@
rvm --create 1.8.7@leaderboard_gem
rvm --create 1.9.2@leaderboard_gem
+rvm --create 1.9.3@leaderboard_gem
View
@@ -48,5 +48,5 @@ task :stop do
end
task :test_rubies do
- system "rvm 1.8.7@leaderboard_gem,1.9.2@leaderboard_gem do rake test"
+ system "rvm 1.8.7@leaderboard_gem,1.9.2@leaderboard_gem,1.9.3@leaderboard_gem do rake test"
end
View
@@ -21,4 +21,7 @@ Gem::Specification.new do |s|
s.add_dependency('redis')
s.add_development_dependency('rake')
+ if '1.8.7'.eql?(RUBY_VERSION)
+ s.add_development_dependency('SystemTimer')
+ end
end

0 comments on commit 8aa2c5d

Please sign in to comment.